## org.eclipse.jet
Class AbstractContextExtender

    java.lang.Object
      org.eclipse.jet.AbstractContextExtender

Direct Known Subclasses:
  TransformContextExtender, WorkspaceContextExtender, XPathContextExtender

    public abstract class AbstractContextExtender

extends java.lang.Object

A base class for extending the JET2 context.

Constructor Summary
`protected` `AbstractContextExtender(JET2Context context)`

Method Summary
`protected abstract java.lang.Object` `createExtendedData(JET2Context context)` Called by the AbstractContextExtender constructor if the extender's data has not yet been created in the context.
`JET2Context` `getContext()` Return the JET2Context that this extender instance is extending.
`protected java.lang.Object` `getExtendedData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractContextExtender

    protected AbstractContextExtender(JET2Context context)

Method Detail

### createExtendedData

    protected abstract java.lang.Object createExtendedData(JET2Context context)

  Called by the AbstractContextExtender constructor if the extender's data has not yet been created in the context.

  Parameters:
    `context` - the context in which the data will be created.
  Returns:
    the extension data object.

### getExtendedData

    protected java.lang.Object getExtendedData()

### getContext

    public final JET2Context getContext()

  Return the JET2Context that this extender instance is extending.

  Returns:
    the hosting context.

Copyright 2006 IBM Corporation and others. All Rights Reserved.